using XGame.Framework.Asyncs;

namespace XGame.Framework.Map
{
    public interface IMapModule
    {
        IAsync RunAsync(MapKey mapKey, object intent = null);
        void Close(MapKey mapKey, bool isDestroy = false);
        IAsync Preload(MapKey mapKey);
    }
}